> For the complete documentation index, see [llms.txt](https://docs.lime-pay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md).

# Kenya

Check the requirements and validations made over the cashouts on Kenya

## Required fields

| Field                  | Format                                                                                                                             | Description                                                                                |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/knowledge-base/countries-specifications.md#documents-validations)                                      | Beneficiary's document ID                                                                  |
| `country`              | `KE`                                                                                                                               | See [country codes](/knowledge-base/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `KES` / `USD`                                                                                                                      | See [currency codes](/knowledge-base/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                       | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-account-validations) | Beneficiary's bank account.                                                                |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                           | Beneficiary's last name                                                                    |
| `phone`                | Numeric                                                                                                                            | Beneficiary's Phone Number                                                                 |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

{% tabs %}
{% tab title="Mobile Money" %}

| Bank         | Bank Code | Details                                                                        |
| ------------ | --------- | ------------------------------------------------------------------------------ |
| Mobile Money | `10001`   | `bank_account` must be empty. The field `document_id` and `phone` must be sent |

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "KE",
    "amount": 100,
    "currency": "KES",
    "bank_account": "",
    "bank_code": "10001",
    "phone": "813462324",
    "document_id": "89237423",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

## Bank Codes

| Bank        | Code  |
| ----------- | ----- |
| MPesa Kenya | 10000 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
